Subject: Re: bug#2504: 23.0.90; new-frame => "no font backend available."

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 31 Oct 2019 19:03:54 +0100

Jason Rumney <[email-masked]> writes:

> David Abrahams wrote:
>> I think MacOS Emacs isn't very resilient to customizations for other
>> platforms that should be ignored.  For example, my
>>
>>   default-frame-alist
>>
>> is 
>>   ((menu-bar-lines . 1) (font-backend . "xft") (font . "Bitstream
>> Vera Sans Mono-10.5") (tool-bar-lines . 0))
>>
>> But `M-x new-frame' causes emacs to report "no font backend available"
>> without opening a new window.
>>   
>
> This is no different than setting (font-backend . "garbage") on any
> platform. If you have platform specific settings in your .emacs which 
> you want to share between platforms, then you need to make them conditional.

I tried the following in Emacs 27 (on GNU/Linux):

(progn
  (setq default-frame-alist
	'((menu-bar-lines . 1) (font-backend . "garbage") (tool-bar-lines . 0)))
  (make-frame))

It did not error out, so I'm guessing that this has been fixed in the
ten years since it was reported, and I'm closing this bug report.  If
this is still an issue, please reopen.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no